Index: trunk/source/Lib/TAppCommon/TAppComCamPara.cpp
===================================================================
--- trunk/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 1357)
+++ trunk/source/Lib/TAppCommon/TAppComCamPara.cpp	(revision 1386)
@@ -49,5 +49,5 @@
 #include <functional>
 #include <string>
-#if NH_3D
+#if NH_3D_VSO
 
 
@@ -115,5 +115,5 @@
 
 Void
-TAppComCamPara::convertNumberString( Char* pchViewNumberString, std::vector<Int>& raiViewNumbers, Double dViewNumPrec )
+TAppComCamPara::convertNumberString( TChar* pchViewNumberString, std::vector<Int>& raiViewNumbers, Double dViewNumPrec )
 {
   Bool bStringIsRange = false;
@@ -131,7 +131,7 @@
   }
 
-  Char* pcNextStart = pchViewNumberString;
-  Char* pcEnd       = pcNextStart + iIdx;
-  Char* pcOldStart  = 0;
+  TChar* pcNextStart = pchViewNumberString;
+  TChar* pcEnd       = pcNextStart + iIdx;
+  TChar* pcOldStart  = 0;
 
   while( pcNextStart < pcEnd )
@@ -192,6 +192,8 @@
 
 Void
-TAppComCamPara::xReadCameraParameterFile( Char* pchCfgFileName )
-{
+TAppComCamPara::xReadCameraParameterFile( TChar* pchCfgFileName )
+{
+  assert( pchCfgFileName != NULL );
+
   std::ifstream cCfgStream( pchCfgFileName, std::ifstream::in );
   if( !cCfgStream )
@@ -220,11 +222,11 @@
     }
 
-    Char* pcNextStart = (Char*) cLine.data();
-    Char* pcEnd = pcNextStart + cLine.length();
+    TChar* pcNextStart = (TChar*) cLine.data();
+    TChar* pcEnd = pcNextStart + cLine.length();
 
     std::vector<Double> caNewLine;
     caNewLine.clear();
 
-    Char* pcOldStart = 0;
+    TChar* pcOldStart = 0;
     while( pcNextStart < pcEnd )
     {
@@ -880,5 +882,5 @@
 
         // maximum deviation
-#if H_3D_REN_MAX_DEV_OUT
+#if NH_3D_REN_MAX_DEV_OUT
         m_dMaxShiftDeviation = std::max( m_dMaxShiftDeviation, fabs( Double( (Int) iShiftLuma   ) - dShiftLuma   ) / Double( 1 << m_iLog2Precision ) );        
 #endif
@@ -981,5 +983,5 @@
   m_bCamParsCodedPrecSet      = false;
 
-#if H_3D_REN_MAX_DEV_OUT
+#if NH_3D_REN_MAX_DEV_OUT
   m_dMaxShiftDeviation        = -1; 
 #endif
@@ -1094,5 +1096,5 @@
 }
 
-Void TAppComCamPara::xSetupBaseViews( Char* pchBaseViewNumbers, UInt uiNumBaseViews )
+Void TAppComCamPara::xSetupBaseViews( TChar* pchBaseViewNumbers, UInt uiNumBaseViews )
   {
     // init list
@@ -1142,7 +1144,7 @@
                       UInt   uiStartFrameId,
                       UInt   uiNumFrames,
-                      Char*  pchCfgFileName,
-                      Char*  pchBaseViewNumbers,
-                      Char*  pchSynthViewNumbers,
+                      TChar* pchCfgFileName,
+                      TChar* pchBaseViewNumbers,
+                      TChar* pchSynthViewNumbers,
                       std::vector<Int>* paiSynthViewNumbers,
                       Int    iLog2Precision )
Index: trunk/source/Lib/TAppCommon/TAppComCamPara.h
===================================================================
--- trunk/source/Lib/TAppCommon/TAppComCamPara.h	(revision 1357)
+++ trunk/source/Lib/TAppCommon/TAppComCamPara.h	(revision 1386)
@@ -67,5 +67,5 @@
   Bool                m_bCamParsCodedPrecSet;                 ///< Coded Cam Para precision set for current frame;
   
-#if H_3D_REN_MAX_DEV_OUT
+#if NH_3D_REN_MAX_DEV_OUT
   Double              m_dMaxShiftDeviation;                   ///< Maximum deviation of shifts with integer precision compare to double precision
 #endif
@@ -113,5 +113,5 @@
 
   // functions for reading, initialization, sorting, getting data, etc.
-  Void  xReadCameraParameterFile  ( Char* pchCfgFileName );
+  Void  xReadCameraParameterFile  ( TChar* pchCfgFileName );
   Bool  xGetCameraDataRow         ( Int iView, UInt uiFrame, UInt& ruiFoundLine );
 
@@ -129,5 +129,5 @@
 #endif
   Void  xSetupBaseViewsFromCoded  ();
-  Void  xSetupBaseViews           ( Char* pchBaseViewNumbers, UInt uiNumBaseViews );
+  Void  xSetupBaseViews           ( TChar* pchBaseViewNumbers, UInt uiNumBaseViews );
   Bool  xIsIn                     ( std::vector<Int>& rVec, Int iNumber);
 
@@ -156,7 +156,7 @@
                 UInt    uiStartFrameId,
                 UInt    uiNumFrames,
-                Char*   pchCfgFileName,
-                Char*   pchBaseViewNumbers,
-                Char*   pchSynthViewNumbers,
+                TChar*   pchCfgFileName,
+                TChar*   pchBaseViewNumbers,
+                TChar*   pchSynthViewNumbers,
                 std::vector<Int>* paiSynthViewNumbers,
                 Int     iLog2Precision );
@@ -165,6 +165,6 @@
                 UInt    uiStartFrameId,
                 UInt    uiNumFrames,
-                Char*   pchCfgFileName,
-                Char*   pchSynthViewNumbers,
+                TChar*   pchCfgFileName,
+                TChar*   pchSynthViewNumbers,
                 std::vector<Int>* paiSynthViewNumbers,
                 Int     iLog2Precision
@@ -183,6 +183,6 @@
   Int                 getRelDistLeft            ( Int iSynthViewIdx, Int   iLeftViewIdx, Int iRightViewIdx );
   UInt                getCurFrameId             ()  { return m_iCurrentFrameId;   }
-  static Void         convertNumberString       ( Char* pchViewNumberString, std::vector<Int>& raiViewNumbers, Double dViewNumPrec );
-#if H_3D_REN_MAX_DEV_OUT
+  static Void         convertNumberString       ( TChar* pchViewNumberString, std::vector<Int>& raiViewNumbers, Double dViewNumPrec );
+#if NH_3D_REN_MAX_DEV_OUT
   Double              getMaxShiftDeviation      () { return m_dMaxShiftDeviation; }; 
 #endif
Index: trunk/source/Lib/TAppCommon/program_options_lite.cpp
===================================================================
--- trunk/source/Lib/TAppCommon/program_options_lite.cpp	(revision 1357)
+++ trunk/source/Lib/TAppCommon/program_options_lite.cpp	(revision 1386)
@@ -111,5 +111,5 @@
     }
 
-#if NH_MV_SEI
+#if NH_MV
     static void setOptions(Options::NamesPtrList& opt_list, const std::vector<int> idcs, const string& value, ErrorReporter& error_reporter)
 #else
@@ -121,5 +121,5 @@
       for (Options::NamesPtrList::iterator it = opt_list.begin(); it != opt_list.end(); ++it)
       {
-        #if NH_MV_SEI
+#if NH_MV
           Bool doParsing = (*it)->opt->checkDim( idcs, error_reporter ); 
           if ( doParsing )
@@ -127,8 +127,7 @@
             (*it)->opt->parse(value, idcs, error_reporter);
           }
-          
-        #else
+#else
         (*it)->opt->parse(value, error_reporter);
-        #endif
+#endif
       }
     }
@@ -290,5 +289,5 @@
     bool OptionWriter::storePair(bool allow_long, bool allow_short, const string& name, const string& value)
     {
-#if NH_MV_SEI
+#if NH_MV
       std::vector<int> idcs;             
       
@@ -324,5 +323,5 @@
           found = true;
         }
-#if NH_MV_SEI
+#if NH_MV
         if ( idcs.size() > 0 )
         {
@@ -347,5 +346,5 @@
           found = true;
         }
-#if NH_MV_SEI
+#if NH_MV
         if ( idcs.size() > 0 )
         {
@@ -362,5 +361,5 @@
       }
 
-#if NH_MV_SEI
+#if NH_MV
     if ( !found_idcs )
     {
@@ -370,5 +369,5 @@
       if (!found)
       {
-#if NH_MV_SEI
+#if NH_MV
         if (error_reporter.output_on_unknow_parameter )
         {       
@@ -377,5 +376,5 @@
         error_reporter.error(where())
           << "Unknown option `" << name << "' (value:`" << value << "')\n";
-#if NH_MV_SEI
+#if NH_MV
         }
 #endif
@@ -383,5 +382,5 @@
       }
 
-#if NH_MV_SEI
+#if NH_MV
       setOptions((*opt_it).second, idcs, value, error_reporter);
 #else
Index: trunk/source/Lib/TAppCommon/program_options_lite.h
===================================================================
--- trunk/source/Lib/TAppCommon/program_options_lite.h	(revision 1357)
+++ trunk/source/Lib/TAppCommon/program_options_lite.h	(revision 1386)
@@ -37,5 +37,4 @@
 #include <map>
 #include  "../TLibCommon/CommonDef.h" 
-
 #if NH_MV
 #include <vector>
@@ -78,5 +77,5 @@
     struct ErrorReporter
     {
-#if NH_MV_SEI
+#if NH_MV
       ErrorReporter() : is_errored(0), output_on_unknow_parameter(true)  {}
 #else
@@ -87,5 +86,5 @@
       virtual std::ostream& warn(const std::string& where);
       bool is_errored;
-#if NH_MV_SEI
+#if NH_MV
       bool output_on_unknow_parameter;
 #endif
@@ -105,12 +104,7 @@
     {
 #if NH_MV      
-#if NH_MV_SEI      
       OptionBase(const std::string& name, const std::string& desc, bool duplicate = false, std::vector< int > maxdim = std::vector< int >(0) )
         : opt_string(name), opt_desc(desc), opt_duplicate(duplicate), max_dim( maxdim )
 #else
-      OptionBase(const std::string& name, const std::string& desc, bool duplicate = false)
-        : opt_string(name), opt_desc(desc), opt_duplicate(duplicate)
-#endif
-#else
       OptionBase(const std::string& name, const std::string& desc)
       : opt_string(name), opt_desc(desc)
@@ -121,5 +115,5 @@
 
       /* parse argument arg, to obtain a value for the option */
-#if NH_MV_SEI
+#if NH_MV
       virtual void parse(const std::string& arg, const std::vector<int>& idcs,  ErrorReporter&) = 0;
       
@@ -221,7 +215,5 @@
 #if NH_MV
       bool        opt_duplicate; 
-#if NH_MV_SEI
       std::vector<int> max_dim;
-#endif
 #endif
     };
@@ -232,12 +224,7 @@
     {
 #if NH_MV
-#if NH_MV_SEI
       Option(const std::string& name, T& storage, T default_val, const std::string& desc, bool duplicate = false, std::vector< int > maxdim = std::vector< int >(0) )
         : OptionBase(name, desc, duplicate, maxdim), opt_storage(storage), opt_default_val(default_val)
 #else
-      Option(const std::string& name, T& storage, T default_val, const std::string& desc, bool duplicate = false)
-        : OptionBase(name, desc, duplicate), opt_storage(storage), opt_default_val(default_val)
-#endif
-#else
       Option(const std::string& name, T& storage, T default_val, const std::string& desc)
       : OptionBase(name, desc), opt_storage(storage), opt_default_val(default_val)
@@ -245,5 +232,5 @@
       {}
 
-#if NH_MV_SEI
+#if NH_MV
       void parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter&);
 #else
@@ -263,5 +250,5 @@
     template<typename T>
     inline void
-#if NH_MV_SEI
+#if NH_MV
     Option<T>::parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter&)
 #else
@@ -269,5 +256,5 @@
 #endif
     {
-#if NH_MV_SEI
+#if NH_MV
       assert( idcs.size() == 0 ); 
 #endif
@@ -289,66 +276,31 @@
     template<>
     inline void
-#if NH_MV_SEI
+#if NH_MV
     Option<std::string>::parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter&)
-#else
-    Option<std::string>::parse(const std::string& arg, ErrorReporter&)
-#endif
-    {
-#if NH_MV_SEI
+    {
       assert( idcs.size() == 0 ); 
-#endif
       opt_storage = arg;
     }
+#else
+    Option<std::string>::parse(const std::string& arg, ErrorReporter&)
+    {
+      opt_storage = arg;
+    }
+#endif
 
 #if NH_MV    
     template<>
     inline void
-#if NH_MV_SEI
       Option<char*>::parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter&)
-#else
-      Option<char*>::parse(const std::string& arg, ErrorReporter&)
-#endif
-    {
-#if NH_MV_SEI
+    {
       assert( idcs.size() == 0 ); 
-#endif
       opt_storage = arg.empty() ? NULL : strdup(arg.c_str()) ;
     }
 
-#if !NH_MV_SEI
-
-    template<>
-    inline void
-      Option< std::vector<char*> >::parse(const std::string& arg, ErrorReporter&)
-    {
-      opt_storage.clear(); 
-
-      char* pcStart = (char*) arg.data();      
-      char* pcEnd = strtok (pcStart," ");
-
-      while (pcEnd != NULL)
-      {
-        size_t uiStringLength = pcEnd - pcStart;
-        char* pcNewStr = (char*) malloc( uiStringLength + 1 );
-        strncpy( pcNewStr, pcStart, uiStringLength); 
-        pcNewStr[uiStringLength] = '\0'; 
-        pcStart = pcEnd+1; 
-        pcEnd = strtok (NULL, " ,.-");
-        opt_storage.push_back( pcNewStr ); 
-      }      
-    }
-#endif
-
     template<>    
     inline void
-#if NH_MV_SEI
       Option< std::vector<double> >::parse(const std::string& arg, const std::vector< int > & idcs, ErrorReporter&)
-#else
-      Option< std::vector<double> >::parse(const std::string& arg, ErrorReporter&)
-#endif
-    {
-#if NH_MV_SEI
+    {
       assert( idcs.size() == 0 ); 
-#endif
       char* pcNextStart = (char*) arg.data();
       char* pcEnd = pcNextStart + arg.length();
@@ -384,5 +336,4 @@
 
 
-#if NH_MV_SEI
     template<>
     inline void
@@ -405,5 +356,5 @@
       xParseVec ( arg, opt_storage[ idcs[0] ][ idcs[1] ] );
     };
-#if SEI_DRI_F0169
+
     template<>
     inline void
@@ -439,50 +390,7 @@
             while( (pcNextStart < pcEnd) && ( *pcNextStart == ' ' || *pcNextStart == '\t' || *pcNextStart == '\r' ) ) pcNextStart++;  
             pcOldStart = pcNextStart; 
-
-        }       
-
-
+        }
     }
-#endif
-#else
-    template<>
-    inline void
-      Option< std::vector<int> >::parse(const std::string& arg, ErrorReporter&)
-    {
-      opt_storage.clear();
-
-
-      char* pcNextStart = (char*) arg.data();
-      char* pcEnd = pcNextStart + arg.length();
-
-      char* pcOldStart = 0; 
-
-      size_t iIdx = 0; 
-
-
-      while (pcNextStart < pcEnd)
-      {
-
-        if ( iIdx < opt_storage.size() )
-        {
-          opt_storage[iIdx] = (int) strtol(pcNextStart, &pcNextStart,10);
-        }
-        else
-        {
-          opt_storage.push_back( (int) strtol(pcNextStart, &pcNextStart,10)) ;
-        }
-        iIdx++; 
-        if ( errno == ERANGE || (pcNextStart == pcOldStart) )
-        {
-          std::cerr << "Error Parsing Integers: `" << arg << "'" << std::endl;
-          exit(EXIT_FAILURE);
-        };   
-        while( (pcNextStart < pcEnd) && ( *pcNextStart == ' ' || *pcNextStart == '\t' || *pcNextStart == '\r' ) ) pcNextStart++;  
-        pcOldStart = pcNextStart;
-      }
-    }
-#endif
-
-#if NH_MV_SEI
+
 
     template<>
@@ -531,38 +439,4 @@
       xParseVec( arg, opt_storage[idcs[0]][idcs[1]] );
     };
-#else
-    template<>
-    inline void
-      Option< std::vector<bool> >::parse(const std::string& arg, ErrorReporter&)
-    {
-      char* pcNextStart = (char*) arg.data();
-      char* pcEnd = pcNextStart + arg.length();
-
-      char* pcOldStart = 0; 
-
-      size_t iIdx = 0; 
-
-      while (pcNextStart < pcEnd)
-      {
-        if ( iIdx < opt_storage.size() )
-        {
-          opt_storage[iIdx] = (strtol(pcNextStart, &pcNextStart,10) != 0);
-        }
-        else
-        {
-          opt_storage.push_back(strtol(pcNextStart, &pcNextStart,10) != 0) ;
-        }
-        iIdx++; 
-
-        if ( errno == ERANGE || (pcNextStart == pcOldStart) )
-        {
-          std::cerr << "Error Parsing Bools: `" << arg << "'" << std::endl;
-          exit(EXIT_FAILURE);
-        };   
-        while( (pcNextStart < pcEnd) && ( *pcNextStart == ' ' || *pcNextStart == '\t' || *pcNextStart == '\r' ) ) pcNextStart++;  
-        pcOldStart = pcNextStart;
-      }
-    }
-#endif
 #endif
     /** Option class for argument handling using a user provided function */
@@ -575,5 +449,5 @@
       {}
 
-#if NH_MV_SEI
+#if NH_MV
       void parse(const std::string& arg, const std::vector<int>& idcs, ErrorReporter& error_reporter)
 #else
@@ -651,5 +525,4 @@
         operator()(const std::string& name, std::vector<T>& storage, T default_val, unsigned uiMaxNum, const std::string& desc = "" )
       {
-#if NH_MV_SEI
         std::vector<T> defVal;
         defVal.resize( uiMaxNum, default_val ); 
@@ -679,33 +552,4 @@
         return *this;
       }
-#else
-        std::string cNameBuffer;
-        std::string cDescBuffer;
-
-        storage.resize(uiMaxNum);
-        for ( unsigned int uiK = 0; uiK < uiMaxNum; uiK++ )
-        {
-          cNameBuffer       .resize( name.size() + 10 );
-          cDescBuffer.resize( desc.size() + 10 );
-
-          Bool duplicate = (uiK != 0); 
-          // isn't there are sprintf function for string??
-          sprintf((char*) cNameBuffer.c_str()       ,name.c_str(),uiK,uiK);
-
-          if ( !duplicate )
-          {          
-            sprintf((char*) cDescBuffer.c_str(),desc.c_str(),uiK,uiK);
-          }
-
-          cNameBuffer.resize( std::strlen(cNameBuffer.c_str()) );  
-          cDescBuffer.resize( std::strlen(cDescBuffer.c_str()) ); 
-          
-
-          parent.addOption(new Option<T>( cNameBuffer, (storage[uiK]), default_val, cDescBuffer, duplicate ));
-        }
-
-        return *this;
-      }
-#endif
 #endif
       /**
Index: trunk/source/Lib/TLibCommon/CommonDef.h
===================================================================
--- trunk/source/Lib/TLibCommon/CommonDef.h	(revision 1357)
+++ trunk/source/Lib/TLibCommon/CommonDef.h	(revision 1386)
@@ -42,4 +42,5 @@
 #include <iostream>
 #include <assert.h>
+#include <limits>
 
 #if _MSC_VER > 1000
@@ -53,6 +54,4 @@
 // 
 #endif // _MSC_VER > 1000
-
-
 #include "TypeDef.h"
 #ifdef _MSC_VER
@@ -75,5 +74,5 @@
 #define HM_VERSION        "16.6"                ///< 
 #else
-#define NV_VERSION        "16.6"                 ///< Current software version
+#define NV_VERSION        "16.7"                 ///< Current software version
 #endif
 // ====================================================================================================================
@@ -141,5 +140,4 @@
 
 static const Int AMVP_MAX_NUM_CANDS =                               2; ///< AMVP: advanced motion vector prediction - max number of final candidates
-static const Int AMVP_MAX_NUM_CANDS_MEM =                           3; ///< AMVP: advanced motion vector prediction - max number of candidates
 static const Int AMVP_DECIMATION_FACTOR =                           4;
 static const Int MRG_MAX_NUM_CANDS =                                5; ///< MERGE
@@ -173,7 +171,5 @@
 #if NH_MV
 static const Int MAX_NUM_LAYER_IDS =                               63;
-#if NH_MV_SEI
 static const Int MAX_NUM_SEIS      =                               1000;
-#endif
 #else
 static const Int MAX_NUM_LAYER_IDS =                               64;
@@ -283,10 +279,8 @@
 static const Int  MAX_NUM_PICS_RPS          =                     16 ; 
 static const Int  MAX_NUM_REF_LAYERS        =                     63 ;  
-#if NH_MV_SEI
+
 static IntAry1d getRangeVec( Int rngStart, Int rngEnd ) { IntAry1d rng; for (Int i = rngStart; i<=rngEnd; i++) rng.push_back(i);  return rng; };
 static const IntAry1d IDR_NAL_UNIT_TYPES   = getRangeVec( NAL_UNIT_CODED_SLICE_IDR_W_RADL, NAL_UNIT_CODED_SLICE_IDR_N_LP ); 
 static const IntAry1d IRAP_NAL_UNIT_TYPES  = getRangeVec( NAL_UNIT_CODED_SLICE_BLA_W_LP  , NAL_UNIT_CODED_SLICE_CRA      ); 
-
-#endif
 #endif
 
@@ -448,5 +442,5 @@
 #endif
 
-#if NH_3D
+#if NH_3D_VSO
 //PICYUV
 #define PICYUV_PAD         16
Index: trunk/source/Lib/TLibCommon/Debug.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/Debug.cpp	(revision 1357)
+++ trunk/source/Lib/TLibCommon/Debug.cpp	(revision 1386)
@@ -49,7 +49,7 @@
 #if DEBUG_STRING
 // these strings are used to reorder the debug output so that the encoder and decoder match.
-const Char *debug_reorder_data_inter_token[MAX_NUM_COMPONENT+1]
+const TChar *debug_reorder_data_inter_token[MAX_NUM_COMPONENT+1]
  = {"Start of channel 0 inter debug\n", "Start of channel 1 inter debug\n", "Start of channel 2 inter debug\n", "End of inter residual debug\n"} ;
-const Char *partSizeToString[NUMBER_OF_PART_SIZES]={"2Nx2N(0)", "2NxN(1)", "Nx2N(2)", "NxN(3)", "2Nx(N/2+3N/2)(4)", "2Nx(3N/2+N/2)(5)", "(N/2+3N/2)x2N(6)", "(3N/2+N/2)x2N(7)"};
+const TChar *partSizeToString[NUMBER_OF_PART_SIZES]={"2Nx2N(0)", "2NxN(1)", "Nx2N(2)", "NxN(3)", "2Nx(N/2+3N/2)(4)", "2Nx(3N/2+N/2)(5)", "(N/2+3N/2)x2N(6)", "(3N/2+N/2)x2N(7)"};
 #endif
 
@@ -179,4 +179,7 @@
   PRINT_CONSTANT(O0043_BEST_EFFORT_DECODING,                                        settingNameWidth, settingValueWidth);
 
+  PRINT_CONSTANT(ME_ENABLE_ROUNDING_OF_MVS,                                         settingNameWidth, settingValueWidth);
+  PRINT_CONSTANT(U0040_MODIFIED_WEIGHTEDPREDICTION_WITH_BIPRED_AND_CLIPPING,        settingNameWidth, settingValueWidth);
+
   //------------------------------------------------
 
@@ -418,5 +421,5 @@
 
 
-Void printBlockToStream( std::ostream &ss, const Char *pLinePrefix, TComYuv &src, const UInt numSubBlocksAcross, const UInt numSubBlocksUp, const UInt defWidth )
+Void printBlockToStream( std::ostream &ss, const TChar *pLinePrefix, TComYuv &src, const UInt numSubBlocksAcross, const UInt numSubBlocksUp, const UInt defWidth )
 {
   const UInt numValidComp=src.getNumberValidComponents();
Index: trunk/source/Lib/TLibCommon/Debug.h
===================================================================
--- trunk/source/Lib/TLibCommon/Debug.h	(revision 1357)
+++ trunk/source/Lib/TLibCommon/Debug.h	(revision 1386)
@@ -47,6 +47,6 @@
 #include <TLibCommon/CommonDef.h>
 #if DEBUG_STRING
-extern const Char *debug_reorder_data_inter_token[MAX_NUM_COMPONENT+1];
-extern const Char *partSizeToString[NUMBER_OF_PART_SIZES];
+extern const TChar *debug_reorder_data_inter_token[MAX_NUM_COMPONENT+1];
+extern const TChar *partSizeToString[NUMBER_OF_PART_SIZES];
 #endif
 
@@ -149,7 +149,7 @@
 UInt getZScanIndex(const UInt x, const UInt y);
 
-//template specialisation for Char types to get it to render as a number
+//template specialisation for SChar/UChar types to get it to render as a number
 template <typename ValueType> inline Void writeValueToStream       (const ValueType &value, std::ostream &stream, const UInt outputWidth) { stream << std::setw(outputWidth) <<      value;  }
-template <>                   inline Void writeValueToStream<Char >(const Char      &value, std::ostream &stream, const UInt outputWidth) { stream << std::setw(outputWidth) <<  Int(value); }
+template <>                   inline Void writeValueToStream<SChar>(const SChar     &value, std::ostream &stream, const UInt outputWidth) { stream << std::setw(outputWidth) <<  Int(value); }
 template <>                   inline Void writeValueToStream<UChar>(const UChar     &value, std::ostream &stream, const UInt outputWidth) { stream << std::setw(outputWidth) << UInt(value); }
 
@@ -231,5 +231,5 @@
 
 template <typename T>
-Void printBlockToStream( std::ostream &ss, const Char *pLinePrefix, const T * blkSrc, const UInt width, const UInt height, const UInt stride, const UInt subBlockWidth=0, const UInt subBlockHeight=0, const UInt defWidth=3 )
+Void printBlockToStream( std::ostream &ss, const TChar *pLinePrefix, const T * blkSrc, const UInt width, const UInt height, const UInt stride, const UInt subBlockWidth=0, const UInt subBlockHeight=0, const UInt defWidth=3 )
 {
   for (UInt y=0; y<height; y++)
@@ -255,5 +255,5 @@
 
 class TComYuv;
-Void printBlockToStream( std::ostream &ss, const Char *pLinePrefix, TComYuv &src, const UInt numSubBlocksAcross=1, const UInt numSubBlocksUp=1, const UInt defWidth=3 );
+Void printBlockToStream( std::ostream &ss, const TChar *pLinePrefix, TComYuv &src, const UInt numSubBlocksAcross=1, const UInt numSubBlocksUp=1, const UInt defWidth=3 );
 
 // ---------------------------------------------------------------------------------------------- //
Index: trunk/source/Lib/TLibCommon/SEI.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/SEI.cpp	(revision 1357)
+++ trunk/source/Lib/TLibCommon/SEI.cpp	(revision 1386)
@@ -32,5 +32,5 @@
  */
 
-/** \file     #SEI.cpp
+/** \file     SEI.cpp
     \brief    helper functions for SEI handling
 */
@@ -38,5 +38,5 @@
 #include "CommonDef.h"
 #include "SEI.h"
-#if NH_MV_SEI
+#if NH_MV
 #include "TComSlice.h"
 #endif
@@ -118,5 +118,5 @@
 
 // Static member
-const Char *SEI::getSEIMessageString(SEI::PayloadType payloadType)
+const TChar *SEI::getSEIMessageString(SEI::PayloadType payloadType)
 {
   switch (payloadType)
@@ -151,7 +151,8 @@
     case SEI::SEGM_RECT_FRAME_PACKING:              return "Segmented rectangular frame packing arrangement";
     case SEI::TEMP_MOTION_CONSTRAINED_TILE_SETS:    return "Temporal motion constrained tile sets";
-    case SEI::CHROMA_SAMPLING_FILTER_HINT:          return "Chroma sampling filter hint";
+    case SEI::CHROMA_RESAMPLING_FILTER_HINT:        return "Chroma sampling filter hint";
+    case SEI::COLOUR_REMAPPING_INFO:                return "Colour remapping info";
+
 #if NH_MV
-    case SEI::COLOUR_REMAPPING_INFO:                     return "Colour remapping information";
     case SEI::DEINTERLACED_FIELD_IDENTIFICATION:         return "Deinterlaced field identification";
     case SEI::LAYERS_NOT_PRESENT:                        return "Layers not present";
@@ -177,5 +178,5 @@
 }
 
-#if NH_MV_SEI
+#if NH_MV
 SEI::SEI()
 {
@@ -223,8 +224,5 @@
     case SEI::CHROMA_SAMPLING_FILTER_HINT:          return new SEIChromaSamplingFilterHint
 #endif
-#if NH_MV_SEI
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
   case SEI::LAYERS_NOT_PRESENT                    :               return new SEILayersNotPresent;
-#endif
   case SEI::INTER_LAYER_CONSTRAINED_TILE_SETS     :               return new SEIInterLayerConstrainedTileSets;
 #if NH_MV_SEI_TBD
@@ -240,7 +238,5 @@
 #endif
   case SEI::THREE_DIMENSIONAL_REFERENCE_DISPLAYS_INFO:            return new SEIThreeDimensionalReferenceDisplaysInfo;
-#if SEI_DRI_F0169
   case SEI::DEPTH_REPRESENTATION_INFO             :               return new SEIDepthRepresentationInfo;
-#endif
   case SEI::MULTIVIEW_SCENE_INFO                  :               return new SEIMultiviewSceneInfo;
   case SEI::MULTIVIEW_ACQUISITION_INFO            :               return new SEIMultiviewAcquisitionInfo;
@@ -249,5 +245,4 @@
   case SEI::ALTERNATIVE_DEPTH_INFO                :               return new SEIAlternativeDepthInfo;
 #endif
-#endif
   default:                                        assert( false ); return NULL;
   }
@@ -266,5 +261,5 @@
 }
 
-Void SEI::setupFromCfgFile( const Char* cfgFile )
+Void SEI::setupFromCfgFile( const TChar* cfgFile )
 {
   assert( false );
@@ -304,5 +299,5 @@
 }
 
-Void SEI::xCheckCfgRange( Bool& wrongConfig, Int val, Int minVal, Int maxVal, const Char* seName )
+Void SEI::xCheckCfgRange( Bool& wrongConfig, Int val, Int minVal, Int maxVal, const TChar* seName )
 {
   if ( val < minVal || val > maxVal  )
@@ -329,5 +324,5 @@
 }
 
-Void SEI::xCheckCfg( Bool& wrongConfig, Bool cond, const Char* errStr )
+Void SEI::xCheckCfg( Bool& wrongConfig, Bool cond, const TChar* errStr )
 {
   if ( !cond  )
@@ -339,7 +334,5 @@
 }
 
-
-#if NH_MV_LAYERS_NOT_PRESENT_SEI
-Void SEILayersNotPresent::setupFromCfgFile(const Char* cfgFile)
+Void SEILayersNotPresent::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -398,8 +391,8 @@
       return wrongConfig;
   };
-#endif
-
-
-Void SEIInterLayerConstrainedTileSets::setupFromCfgFile(const Char* cfgFile)
+
+
+
+Void SEIInterLayerConstrainedTileSets::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -483,5 +476,5 @@
 };
 
-Void SEIBspNesting::setupFromCfgFile(const Char* cfgFile)
+Void SEIBspNesting::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -556,5 +549,5 @@
 };
 
-Void SEIBspInitialArrivalTime::setupFromCfgFile(const Char* cfgFile)
+Void SEIBspInitialArrivalTime::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -605,5 +598,5 @@
 #endif
 
-Void SEISubBitstreamProperty::setupFromCfgFile(const Char* cfgFile)
+Void SEISubBitstreamProperty::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -681,5 +674,5 @@
 }
 
-Void SEIAlphaChannelInfo::setupFromCfgFile(const Char* cfgFile)
+Void SEIAlphaChannelInfo::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -744,5 +737,5 @@
 { };
 
-Void SEIOverlayInfo::setupFromCfgFile(const Char* cfgFile)
+Void SEIOverlayInfo::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -828,5 +821,5 @@
 
 
-Void SEITemporalMvPredictionConstraints::setupFromCfgFile(const Char* cfgFile)
+Void SEITemporalMvPredictionConstraints::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -870,5 +863,5 @@
 
 #if NH_MV_SEI_TBD
-Void SEIFrameFieldInfo::setupFromCfgFile(const Char* cfgFile)
+Void SEIFrameFieldInfo::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -922,5 +915,5 @@
 #endif
 
-Void SEIThreeDimensionalReferenceDisplaysInfo::setupFromCfgFile(const Char* cfgFile)
+Void SEIThreeDimensionalReferenceDisplaysInfo::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -1018,5 +1011,4 @@
 };
 
-#if SEI_DRI_F0169
 Void SEIDepthRepresentationInfo::setupFromSlice  ( const TComSlice* slice )
 {
@@ -1025,5 +1017,5 @@
 };
 
-Void SEIDepthRepresentationInfo::setupFromCfgFile(const Char* cfgFile)
+Void SEIDepthRepresentationInfo::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -1195,7 +1187,7 @@
     return wrongConfig;
 }
-#endif
-
-Void SEIMultiviewSceneInfo::setupFromCfgFile(const Char* cfgFile)
+
+
+Void SEIMultiviewSceneInfo::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -1243,5 +1235,5 @@
 };
 
-Void SEIMultiviewAcquisitionInfo::setupFromCfgFile(const Char* cfgFile)
+Void SEIMultiviewAcquisitionInfo::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -1405,5 +1397,5 @@
 }
 
-Void SEIMultiviewViewPosition::setupFromCfgFile(const Char* cfgFile)
+Void SEIMultiviewViewPosition::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
@@ -1456,5 +1448,5 @@
 
 #if NH_3D
-Void SEIAlternativeDepthInfo::setupFromCfgFile(const Char* cfgFile)
+Void SEIAlternativeDepthInfo::setupFromCfgFile(const TChar* cfgFile)
 {
   // Set default values
